Difference between revisions of "Arch AxisSystem/it"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "Arch Sistema di assi")
 
(Updating to match new version of source page)
 
(54 intermediate revisions by 3 users not shown)
Line 1: Line 1:
{{GuiCommand|Name=Arch AxisSystem|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Axis|SeeAlso=[[Arch Axis]]}}
+
<languages/>
 +
 
 +
<div class="mw-translate-fuzzy">
 +
{{Docnav/it
 +
|[[Arch_Axis/it|Assi]]
 +
|[[Arch_Grid/it|Griglia]]
 +
|[[Arch_Workbench/it|Arch]]
 +
|IconL=Arch_Axis.svg
 +
|IconC=Workbench_Arch.svg
 +
|IconR=Arch_Grid.svg
 +
}}
 +
</div>
 +
 
 +
<div class="mw-translate-fuzzy">
 +
{{GuiCommand/it
 +
|Name=Arch AxisSystem
 +
|Name/it=Sistema di assi
 +
|Icon=Arch Axis System.svg
 +
|MenuLocation=Arch → Sistema di assi
 +
|Workbenches=[[Arch_Workbench/it|Arch]]
 +
|SeeAlso=[[Arch Axis/it|Assi]], [[Arch Grid/it|Griglia]]
 +
}}
 +
</div>
 +
 
 +
==Descrizione==
  
==Description==
+
Lo strumento Sistema di assi consente di combinare 2 o 3 oggetti [[Arch Axis/it|Assi]].
  
The Axis System tool allows you to combine 2 or 3 [[Arch Axis]] objects. The main function of this tool is to calculate intersection points between the different axes included in this system. Arch objects can then use this system to duplicate their shape on the different intersection points.
+
Questo è utile per definire i punti di intersezione tra i diversi assi. Gli oggetti Arch possono quindi utilizzare questo sistema per duplicare la loro forma sui diversi punti di intersezione.
  
 
[[Image:Arch AxisSystem example.jpg|600px]]
 
[[Image:Arch AxisSystem example.jpg|600px]]
 +
<div class="mw-translate-fuzzy">
 +
{{Caption|Tre oggetti [[Arch Axis/it|Assi]] combinati in un unico [[Arch AxisSystem/it|Sistema di assi]]. Un oggetto [[Arch Structure/it|Struttura]] usa questo sistema come sua proprietà {{PropertyData|Axis}}, per duplicare la sua forma in ogni punto di intersezione.}}
 +
</div>
  
The above image shows three [[Arch Axis]] objects combined into one Axis System. A column object then uses this system as its '''Axis''' property, to have its shape duplicated at each intersection point.
+
==Utilizzo==
  
==How to use==
+
<div class="mw-translate-fuzzy">
 +
# Facoltativamente, selezionare gli oggetti [[Arch Axis/it|Assi]] che si desidera includere in questo sistema.
 +
# Premere il pulsante {{Button|[[Image:Arch Axis_System.svg|16px]] [[Arch AxisSystem/it|Sistema di assi]]}}.
 +
# Fare clic con il tasto destro del mouse sull'oggetto Sistema di assi appena creato nella vista ad albero per aggiungere o modificare gli oggetti [[Arch Axis/it|Assi]] incluso in questo sistema.
 +
# Selezionare qualsiasi [[Arch Axis/it|Asse]] esistente e premere i pulsanti {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add/it|Aggiungi]]}} o {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove/it|Rimuovi]]}} per aggiungerlo o rimuoverlo dal sistema.
 +
# Impostare le proprietà {{PropertyData|Axis}} per fare in modo che un oggetto Arch punti a questo sistema, e la sua forma venga duplicata nei punti di intersezione di questo sistema
 +
</div>
  
# Optionally, select the [[Arch Axis]] objects you wish to include in this system
+
==Opzioni==
# Press the {{KEY|[[Image:Arch AxisSystem.png|16px]] [[Arch AxisSystem]]}} button
 
# Right-click the newly created axes system object in the tree view to add/edit the [[Arch Axis]] objects included in this system
 
# Select any existing [[Arch Axis]] and press Add or Delete buttons to add or remove it to/from this system
 
# Set the '''Axis''' property of any Arch object to point to this system, to have its shape duplicated to the intersection points of this system
 
  
==Options==
+
<div class="mw-translate-fuzzy">
 +
* Uno stesso oggetto [[Arch Axis/it|Asse]] può essere parte di più di un sistema
 +
* Qualsiasi oggetto basato su una forma può anche essere usato come proprietà '''Asse''' di oggetti Arch. In questo caso, la forma dell'oggetto viene duplicata lungo i vertici dell'oggetto Axis
 +
</div>
  
* A same [[Arch Axis]] object can be part of more than one system
+
==Scripting==
* Any shape-based object can also be used as the '''Axis''' property of Arch objects. In this case, the object shape will be duplicated along the vertices of the Axis object
 
  
==Scripting==
+
<div class="mw-translate-fuzzy">
 +
== Script ==
 +
{{Emphasis|Vedere anche:}} [[Arch API/it|Arch API]] e [[FreeCAD Scripting Basics/it|Nozioni di base sugli script di FreeCAD]].
 +
</div>
  
The Axis System tool can by used in [[macros]] and from the python console by using the following function:
+
<div class="mw-translate-fuzzy">
 +
Lo strumento Sistema di assi può essere utilizzato nelle [[macros/it|macro]] e dalla console [[FreeCAD_Scripting_Basics/it|Python]] tramite la seguente funzione:
 +
</div>
 
{{Code|code=
 
{{Code|code=
makeAxisSystem ([axes])
+
AxisSystem = makeAxisSystem(axes, name="Axis System")
 
}}
 
}}
  
Makes an Axis System based on the given list of [[Arch Axis]]
+
<div class="mw-translate-fuzzy">
 +
* Crea un oggetto {{incode|AxisSystem}} da un dato {{incode|axes}}, che è un singolo [[Arch Axis/it|Asse]], o un elenco di assi.
 +
</div>
  
Example:
+
Esempio:
 
{{Code|code=
 
{{Code|code=
import Arch
+
import Draft, Arch
a = Arch.makeAxis(5,2)
+
 
Arch.makeAxisSystem([a])
+
Axes = Arch.makeAxis(5, 1000)
 +
 
 +
Axes.ViewObject.LineWidth = 3
 +
Axes.ViewObject.BubbleSize = 200
 +
Axes.ViewObject.FontSize = 150
 +
 
 +
Axes2 = Arch.makeAxis(6, 500)
 +
 
 +
Axes2.ViewObject.LineWidth = 2
 +
Axes2.ViewObject.BubbleSize = 200
 +
Axes2.ViewObject.FontSize = 150
 +
Axes2.ViewObject.NumberingStyle = "A,B,C"
 +
FreeCAD.ActiveDocument.recompute()
 +
 
 +
Axes2.Length = 6000
 +
Draft.rotate(Axes2, -90)
 +
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
 +
FreeCAD.ActiveDocument.recompute()
 +
 
 +
AxisSystem = Arch.makeAxisSystem([Axes, Axes2])
 +
 
 +
Structure = Arch.makeStructure(length=200, width=200, height=100)
 +
Draft.move(Structure, FreeCAD.Vector(-100, 0, 0))
 +
Structure.Axis = AxisSystem
 +
FreeCAD.ActiveDocument.recompute()
 
}}
 
}}
<languages/>
+
 
 +
 
 +
<div class="mw-translate-fuzzy">
 +
{{Docnav/it
 +
|[[Arch_Axis/it|Assi]]
 +
|[[Arch_Grid/it|Griglia]]
 +
|[[Arch_Workbench/it|Arch]]
 +
|IconL=Arch_Axis.svg
 +
|IconC=Workbench_Arch.svg
 +
|IconR=Arch_Grid.svg
 +
}}
 +
</div>
 +
 
 +
{{Arch Tools navi{{#translation:}}}}
 +
{{Userdocnavi{{#translation:}}}}

Latest revision as of 19:28, 8 November 2021

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Pagina precedente: Arch Axis.svg Assi
Pagina successiva: Griglia Arch Grid.svg Arrow-right.svg

Arch Axis System.svg Sistema di assi

Posizione nel menu
Arch → Sistema di assi
Ambiente
Arch
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Assi, Griglia

Descrizione

Lo strumento Sistema di assi consente di combinare 2 o 3 oggetti Assi.

Questo è utile per definire i punti di intersezione tra i diversi assi. Gli oggetti Arch possono quindi utilizzare questo sistema per duplicare la loro forma sui diversi punti di intersezione.

Arch AxisSystem example.jpg

Tre oggetti Assi combinati in un unico Sistema di assi. Un oggetto Struttura usa questo sistema come sua proprietà DatiAxis, per duplicare la sua forma in ogni punto di intersezione.

Utilizzo

  1. Facoltativamente, selezionare gli oggetti Assi che si desidera includere in questo sistema.
  2. Premere il pulsante Arch Axis System.svg Sistema di assi.
  3. Fare clic con il tasto destro del mouse sull'oggetto Sistema di assi appena creato nella vista ad albero per aggiungere o modificare gli oggetti Assi incluso in questo sistema.
  4. Selezionare qualsiasi Asse esistente e premere i pulsanti Arch Add.svg Aggiungi o Arch Remove.svg Rimuovi per aggiungerlo o rimuoverlo dal sistema.
  5. Impostare le proprietà DatiAxis per fare in modo che un oggetto Arch punti a questo sistema, e la sua forma venga duplicata nei punti di intersezione di questo sistema

Opzioni

  • Uno stesso oggetto Asse può essere parte di più di un sistema
  • Qualsiasi oggetto basato su una forma può anche essere usato come proprietà Asse di oggetti Arch. In questo caso, la forma dell'oggetto viene duplicata lungo i vertici dell'oggetto Axis

Scripting

Lo strumento Sistema di assi può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

AxisSystem = makeAxisSystem(axes, name="Axis System")
  • Crea un oggetto AxisSystem da un dato axes, che è un singolo Asse, o un elenco di assi.

Esempio:

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()

AxisSystem = Arch.makeAxisSystem([Axes, Axes2])

Structure = Arch.makeStructure(length=200, width=200, height=100)
Draft.move(Structure, FreeCAD.Vector(-100, 0, 0))
Structure.Axis = AxisSystem
FreeCAD.ActiveDocument.recompute()


Arrow-left.svg Pagina precedente: Arch Axis.svg Assi
Pagina successiva: Griglia Arch Grid.svg Arrow-right.svg